Subject: Re: bug#18611: 24.3; macre step edit and use of registers

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Jul 2021 00:08:22 +0200

[email-masked] (Charles A. Roelli) writes:

>> Something similar still affects emacs-26.  Thanks for the report.
>> 
>> To reproduce from emacs -q:
>> C-x b RET
>> C-x h
>> C-x r s i
>> M->
>> F3
>> C-x r i i
>> F4
>> C-x C-k SPC
>> y
>> Error in post-command-hook (kmacro-step-edit-post-command):
>> (void-variable kmacro-step-edit-active)
>> C-x C-k SPC
>> (observe that the last "i" in "C-x r i i" is gone)
>> 
>> Actually, the following is enough to trigger the error from emacs -q:
>> C-x b RET
>> C-x C-k SPC
>> (i.e., when the last kbd macro doesn't exist)
>
> As of the fix for Bug#28818, the (void-variable
> kmacro-step-edit-active) errors should be gone, but the buggy register
> behavior remains.

(I'm going through old bug reports that unfortunately got little
response at the time.)

As noted, the void-variable error is gone, but I'm not sure what the
buggy register behaviour here is?  I tried the recipe, and it seemed to
work fine?  That is `C-x C-k SPC y' executed the register insertion
command fine, as far as I can tell.

So are you still seeing this issue, or did I just misunderstand what the
problem here is?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no